Bug 1952346 - [BUG] Non-Admin users cannot generate the command for registration while having "Register hosts" role associated in Satellite 6.9
Summary: [BUG] Non-Admin users cannot generate the command for registration while havi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.9.0
Hardware: All
OS: All
unspecified
high vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-22 06:12 UTC by Sayan Das
Modified: 2021-11-16 14:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:10:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32425 0 Normal New [BUG] Non-Admin users cannot generate the command for registration while having "Register hosts" role associated in Sate... 2021-04-27 12:06:04 UTC
Red Hat Knowledge Base (Solution) 5986271 0 None None None 2021-04-22 08:30:40 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:10:50 UTC

Description Sayan Das 2021-04-22 06:12:24 UTC
Description of problem:

Non-Admin users cannot generate the curl command for automated registration while having "Register hosts" role associated with them.


Version-Release number of selected component (if applicable):
satellite-6.9.1-1.el7sat.noarch

How reproducible:
Always


Steps to Reproduce:
1. Create a user called testuser in the Satellite server and assign the "Register hosts" role to the same.

2. Login to Satellite UI using that testuser.

3. Go to Hosts --> All Hosts --> Register Host

4. Select All Parameters as applicable related to registration

5. Click on "Generate Command"


Actual results:

echo "ERROR: not_found";
exit 1


Expected results:

It should be able to generate the curl command with token as expected [ or it can for an admin user ]


Additional info:

The prerequisites section of the doc https://access.redhat.com/documentation/en-us/red_hat_satellite/6.9/html-single/managing_hosts/index#registering-a-host-to-project-using-the-global-registration-template_managing-hosts mentions following:

"The Satellite user that generates the curl command must have the create_hosts permission."

But it also needs to have "view_smart_proxies" permission.

If I clone the "Register hosts" role, add the "view_smart_proxies" permission for that role and then assign the cloned role to my non-admin user i.e. testuser, I will be able to generate the curl command and register the host as expected.

Comment 3 Leos Stejskal 2021-04-27 12:06:01 UTC
Created redmine issue https://projects.theforeman.org/issues/32425 from this bug

Comment 4 Bryan Kearney 2021-04-29 00:01:33 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32425 has been resolved.

Comment 8 errata-xmlrpc 2021-11-16 14:10:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.